<!--
History:
   XXDDMMMYY Created??
   mm26Sep06 Added a refresh button due to popular demand.
-->

<HTML>
<HEAD>
<TITLE></TITLE>
<META http-equiv=Content-Type content="text/html; charset=<!=CharSet=Content>iso-8859-1<!/CharSet>">
<LINK rel=stylesheet href="ADU.css" type="text/css">
<link rel="stylesheet" type="text/css" href="css/default.css">
<link rel="stylesheet" type="text/css" href="css/blue_theme.css">
<script language="JavaScript" type="text/javascript" src="js/buttonManager.js"></script>
<script language="JavaScript" type="text/javascript" src="js/global.js"></script>
<SCRIPT SRC="ADUTools.js"></SCRIPT>

<SCRIPT language="JavaScript">
   var g_documentXML;
   var g_navigatorXSLProcessor;
   function AsyncLoadXML(documentXMLPath, documentXSLPath, documentDOMID)
   {
      if (window.ActiveXObject)
      {
         // Initialize the document XSL object
         var documentXSL = new ActiveXObject("MSXML2.FreeThreadedDOMDocument");
         documentXSL.async = false;
         documentXSL.load(documentXSLPath);
         
         // Initialize the XML document...
         g_documentXML = new ActiveXObject("MSXML2.DOMDocument");      
         g_documentXML.onreadystatechange = function()
         {
            if (g_documentXML.readyState == 4) // 4 : Document finished loading
            {
               document.getElementById("processMessage").style.display = "none";
               // Do some error checking
               if (g_documentXML.parseError.errorCode != 0)
               {
                  var xmlError = g_documentXML.parseError;
                  var errorReport = "<DIV style=\"color:red;\">";
                  errorReport += "<BR/><H2>Internal XML Error</H2>";
                  errorReport += "Code: " + xmlError.errorCode + "<BR/>";
                  errorReport += "Reason: " + xmlError.reason + "<BR/>";
                  errorReport += "Line: " + xmlError.line + "<BR/>";
                  errorReport += "File position: " + xmlError.filepos + "<BR/>";
                  errorReport += "</DIV>";
                  document.getElementById(documentDOMID).innerHTML = errorReport;
               }
               else
               {
                  // Apply the XML transform
                  g_documentXSLProcessor.transform();      
                  document.getElementById(documentDOMID).innerHTML = g_documentXSLProcessor.output;
               }
            }         
         }
         g_documentXML.async = true; 
   
         // Initialize the XSLTemplate document...
         var XSLTemplate = new ActiveXObject("MSXML2.XSLTemplate");
         XSLTemplate.stylesheet = documentXSL;
         g_documentXSLProcessor = XSLTemplate.createProcessor();
         g_documentXSLProcessor.input = g_documentXML; 
		   
         // Finally, load the XML document asynchronously...
         g_documentXML.load(documentXMLPath);  
      }
      else if( document.implementation && document.implementation.createDocument )
      {
         // This code is for Mozilla
         // Initialize the XSL document...
         var documentXSL = document.implementation.createDocument("", "ADUReportXSL", null);                 
         documentXSL.async = false;
         documentXSL.load(documentXSLPath);  

         // Initialize the transform processor...
         g_documentXSLProcessor = new XSLTProcessor();
         g_documentXSLProcessor.importStylesheet(documentXSL);

         // Initialize and load the XML document...
         g_documentXML = document.implementation.createDocument("", "ADUReportXML", null);
         g_documentXML.async = true;
         g_documentXML.onload = function() 
         {
            document.getElementById("processMessage").style.display = "none";
            // Do some error checking
            var rootTag = g_documentXML.documentElement;
            if (rootTag.tagName == "parsererror")
            {
               var oSerialize = new XMLSerializer();
               document.getElementById(documentDOMID).innerHTML = "<DIV style=\"font-size:10pt;text-align:left;color:red;\"><PRE>" + oSerialize.serializeToString(g_documentXML) + "</PRE></DIV>";
            }
            else
            {
               var htmlDoc = g_documentXSLProcessor.transformToDocument(g_documentXML);
               var oSerialize = new XMLSerializer(); // Only in Moz         
               document.getElementById(documentDOMID).innerHTML = oSerialize.serializeToString(htmlDoc);       
            }
         }      
         g_documentXML.load(documentXMLPath);
      }
   }
   function onLoadHandler()
   {
      onResizeHandler();
      AsyncLoadXML("ADUReport.xml", "ADUTransform.xsl", "ADU_REPORT_AREA");
      EnableSaveButton();
   }
   function onResizeHandler()
   {
      var headerTable = document.getElementById("HEADER_TABLE");
      var containerDIV = document.getElementById("ADU_CONTAINER_AREA");
      containerDIV.style.top = headerTable.offsetHeight + 12 + "px";
      containerDIV.style.height = document.body.clientHeight - headerTable.offsetHeight - 24 + "px";
      containerDIV.style.width = document.body.clientWidth - 24 + "px";
   }
   function ScrollToADUReportTop()
   {
      var container = document.getElementById("ADU_CONTAINER_AREA");
      container.scrollTop = 0;
   }
   function ScrollToADUReportDevice(deviceID)
   {
      var elem = document.getElementById(deviceID);
      var elementOffsetTop = elem.offsetTop;      
      var container = document.getElementById("ADU_CONTAINER_AREA");
      if (container)
      {
         container.scrollTop = elementOffsetTop;
      }
      else
      {
         window.scrollTo(0, elementOffsetTop);         
      }
   }
   function ScrollToADUReportDeviceSection(deviceID, sectionID)
   {
      var elem = document.getElementById(deviceID);
      var sections = elem.getElementsByTagName("TR");
      var container = document.getElementById("ADU_CONTAINER_AREA");
      for (var j = 0; j < sections.length; j++)
      {
         if (sections[j].className == "captionRow")
         {
            if (sections[j].id == sectionID)
            {
               container.scrollTop = elem.offsetTop + sections[j].offsetTop;
               break;
            }
         }
      }
   }
   
 function EnableSaveButton()
 {
   f = top.ADUAppFooter;
   if(f)
   {
    if(f.getButtonManagerRef)
    {
      o = f.getButtonManagerRef();
      if(o)
      {
       o.enableButtonById("ADUSaveButton");
       o.enableButtonById("ADURefreshButton");
      }
    }
    
   }
 }
</SCRIPT>
</HEAD>
<BODY style="width:100%; height:100%;" class="greyPanel" oncontextmenu="return false;" onload="onLoadHandler();" onresize="onResizeHandler();">
<table id="HEADER_TABLE" style="position:absolute;" width="100%" border="0" cellpadding="0" cellspacing="0">
 <TR>
  <TD>
    <h3 class="subTitle"><!=PX_TAG_COMPLETED_REPORT=Content>Completed Report<!/PX_TAG_COMPLETED_REPORT></h3>
    <div class="subTitleBottomEdge"></div>
  </TD>
 </TR>
</table>
<DIV id="ADU_CONTAINER_AREA" style="position:absolute;left:12px;overflow:auto;background:#fff;">
<DIV id="ADU_REPORT_AREA" lang="en"></DIV>
<DIV id="processMessage" class="processing"><!=PX_TAG_FORMATTING_DIAG_REPORT=Content>Formatting Report ...<!/PX_TAG_FORMATTING_DIAG_REPORT></DIV>
</DIV>
</BODY>
</HTML>
