/*
History:
   XXDDMMMYY Created??
   mm26Sep06 Added a refresh button due to popular demand.
   mm12Feb07 Altered RefreshReport() to use code similiar to 
             GenerateReport(), which is located in ADU.frm. 
*/

document.write("<SCRIPT SRC=/ADU/ENG/strings.htm></SCRIPT>" );
document.write("<SCRIPT SRC=/ADU/strings.htm></SCRIPT>" );
//document.write("<SCRIPT SRC=/ADU/ENG/faqs.htm></SCRIPT>" );
//document.write("<SCRIPT SRC=/ADU/faqs.htm></SCRIPT>" );

////////////////////////////////////////////
// Prevent the browser from caching the file
////////////////////////////////////////////
document.write("<META HTTP-EQUIV=\"Pragma\" CONTENT=\"nocache\">");
document.write("<META HTTP-EQUIV=\"Expires\" CONTENT=\"Mon, 06 Jan 1990, 00:00:01 GMT\">");

////////////////////////////////////////////
// Misc Functions
////////////////////////////////////////////

function RefreshReport()
{
   //if (confirm(LoadString("PX_TAG_RESET_SESSION"))) 
   {   
      //parent.window.location.href = "ADU.htm";
      parent.window.ADUTask.document.location="ADUStartGenReport.htm";
   }
}

function isInMainWindow()
   {
   var pattern = new RegExp("CompaqMainWindow_");
   return pattern.test(window.name);
   }

function LoadString( str )
   {
   return eval(str);
   }

function WriteString( str )
   {
   document.write(eval(str));
   }

function browserName()
   {
   return navigator.appName;
   }

function browserVersion()
   {
   return parseFloat(navigator.appVersion);
   }

function isNetscape()
   {
   return (browserName() == "Netscape");
   }

function isIE()
   {
   return (browserName() == "Microsoft Internet Explorer");
   }

function isNetscape6orGreater()
   {
   return (isNetscape() && (browserVersion() >= 5));
   }

//isRunningOnSmartStart
//returns true if running on SmartStart, false otherwise
function isRunningOnSmartStart()
{
   var isRunning = false;
   if (typeof(isOnSmartStart) != "undefined")
   {
      isRunning = isOnSmartStart;
   }
   return isRunning;
}
//LoadURL
//Loads a URL. Adds a timestamp param to URL if running On SmartStart
//to prevent caching.
//params:
//   s=string of URL to load
//   d=optional parameter which is the document to load the URL into.
//     if not specified, will be 
function LoadURL(s, d)
{
  if(typeof(d) == "undefined")
  {
    d=document;
  }
  d.location=timestampURL(s);
}

//timestampURL
//if running on SmartStart, returns the passed in URL with a unique appended 
//timestamp of the format URL?t=#####
//params:
//   s=string of URL
function timestampURL(s)
{
   if(isRunningOnSmartStart())
   {
      var d= new Date();
      s = s + "?t=" + d.getTime();
   }
   return s;
}

function HandleMouseClickEvent(e) 
   {
   rightClick=false;
   if ( isIE() )
      { 
      rightClick = ( event.button==2 || event.button==3 );
      }      
   else if ( isNetscape() )
      { 
      if ( e.which == 3 )
         {
         rightClick = true;
         }
      }

   if (rightClick)
      {
      return ShowBrowserFunctionDisabled();
      }
   }
   
function ShowBrowserFunctionDisabled()
   {
   alert(LoadString("PX_TAG_BROWSER_FUNCTION_DISABLED"));
   return false;
   }

function DisableRightClick() 
   {
   if ( isNetscape6orGreater() )
      {
      document.oncontextmenu = ShowBrowserFunctionDisabled;
      }
   else if( isNetscape() )
      {
      document.captureEvents(Event.MOUSEDOWN);
      document.onmousedown=HandleMouseClickEvent;
      }
   else
      {
      document.onmousedown=HandleMouseClickEvent;
      }
   }  

////////////////////////////////////////////////////////////////////
// Disable all browser related key combinations that mess up ACU-XE.
////////////////////////////////////////////////////////////////////
DisableKeys();

function DisableKeys()
   {
   document.onkeydown=HandleKeyPress;
   if ( isNetscape() )
      {
      document.captureEvents(Event.KEYDOWN);
      }
   }

function HandleKeyPress(e)
   {
   if ( isIE() )
      {
      if (event.keyCode == 116) //F5 - Refresh
         {
         /*
         if (!confirm(LoadString("PX_TAG_RESET_SESSION")))
            {
            event.returnValue = false;
            event.keyCode = 0;
            return false;
            }
            */
         }
      else
         {
         return DisableIEKeys();
         }
      }
   else if ( isNetscape() )
      {
      return DisableNetscapeKeys(e);
      }
   }

function DisableIEKeys()
   {
   event.returnValue = true;

   switch( event.keyCode )
      {
      // NORMAL KEYS
      case 27  : // ESC       (Stop)
      case 114 : // F3        (Internet search)
      case 117 : // F6        (Move between frames)
      case 122 : // F11       (Fullscreen)
         event.returnValue = false;
         break;

      // NORMAL KEYS - SOMETIMES ALLOWED
      case 8   : // BACKSPACE (Back)
         if ( !document.enableBACKSPACE ) 
            {
            event.returnValue = false;
            }
      default:
         break;
      }

   if ( event.ctrlKey )
      {
      switch( event.keyCode )
         {   
         // CTRL KEYS
         case 69  : // CTRL-E    (Search)
         case 72  : // CTRL-H    (History)
         case 73  : // CTRL-I    (Favorites)
         case 76  : // CTRL-L    (New Location)
         case 79  : // CTRL-O    (New Location)
         case 83  : // CTRL-S    (Save)
            event.returnValue = false;
            break;
         default:
            break;
         }
      }

   if ( event.shiftKey )
      {
      switch( event.keyCode )
         {   
         // SHIFT KEYS
         case 121 : // SHIFT-F10 (Link Menu)
            event.returnValue = false;
            break;
         default:
            break;
         }
      }

   if ( event.altKey )
      {
      switch( event.keyCode )
         {   
         // ALT KEYS
         case 36  : // ALT-HOME  (Home)
         case 37  : // ALT <-    (Back)
         case 39  : // ALT ->    (Forward)
            event.returnValue = false;
            break;
         default:
            break;
         }
      }

   if ( !event.returnValue )
      {
      event.keyCode = 0;
      //alert(LoadString("PX_TAG_BROWSER_FUNCTION_DISABLED"));
      } 
   return event.returnValue;
   }

function DisableNetscapeKeys(e)
   {
   }

////////////////////////////////////////////
// FAQ Related Functions
////////////////////////////////////////////
function StartFAQTable()
  {
  document.write("<table width=100% border=0 cellpadding=0 cellspacing=0 id=smfFaqTable>");
  document.write("<tr><td id=smfFaqHeader valign=top><IMG src='images/tlt1.gif'></td><td id=smfFaqHeader align=center width=100%>");
  WriteString("PX_TAG_FAQ_HEADER");
  document.write("</td><td id=smfFaqHeader valign=top><IMG src='images/trt1.gif'></td></tr>");
  document.write("<tr><td valign=top colspan=3>");
  }

function EndFAQTable()
  {
  document.write("</td></tr><tr><td><IMG src='images/blt1.gif'></td><td>&nbsp;</td><td><IMG src='images/brt1.gif'></td></tr></table>");
  }

function FAQ(id)
  {
  WriteFAQQuestion(id);
  WriteFAQAnswer(id);
  }

function WriteFAQQuestion(id)
  {
  questionString = LoadString( "PX_TAG_FAQ_" + id + "_Q");
  document.write("<p id=smfFaqQuestion>" + questionString + "</p>");
  }

function WriteFAQAnswer(id)
  {
  answerString = LoadString( "PX_TAG_FAQ_" + id + "_A");
  document.write("<p id=smfFaqAnswer>" + answerString + "</p>");
  }

////////////////////////////////////////////
// Help Related Functions
////////////////////////////////////////////
function OpenHelpWindow()
  {
    height = 490;
    width = 700;
    yPos = screen.availHeight/2 - height/2;
    xPos = screen.availWidth/2 - width/2; 

    window.open("HELPframe.htm","helpframe","toolbar=no,location=no,directories=no,status=no,menubar=no," + 
      "resizable=yes,scrollbars=yes,width=" + width + ",height=" + height +
      ",left=" + xPos + ",screenX=" + xPos + ",top=" + yPos + ",screenY=", + yPos);

    return false;
  }

function hiLiteHelp()
   {
   el = event.srcElement;
   if (el.id == "helpLink")
      {
      el.id="highlightedHelpLink";
      }
   else
      {
      el.id="highlightedHelpContentsLink";
      }
   }

function unHiLiteHelp()
   {
   el = event.srcElement;
   if ( el.id == "highlightedHelpLink" )
      {
      el.id="helpLink";
      }
   else
      {
      el.id="helpContentsLink";
      }
   }
